from policz_znaki import *

def test_policz_znaki_jeden_tekst():
    wynik = policz_znaki('ala ma <kota> a kot ma ale')
    assert wynik == 4

def test_policz_znaki_dwa_teksty():
    assert policz_znaki('Ala ma <kota> a Ola ma <psa>') == 7

def test_policz_znaki_zagniezdzenie():
    assert policz_znaki('a <a<a<aaa>a>>') == 14

def test_policz_znaki_inne():
    assert policz_znaki('ala [kota [a kot]] ma [ale]', '[', ']') == 18
